class PrivacyTerms {
  String? privacyTermsUrl;
  String? termsOfServiceUrl;

  PrivacyTerms({
    this.privacyTermsUrl,
    this.termsOfServiceUrl,
  });

  PrivacyTerms copyWith({
    String? privacyTermsUrl,
    String? termsOfServiceUrl,
  }) {
    return PrivacyTerms(
      privacyTermsUrl: privacyTermsUrl ?? this.privacyTermsUrl,
      termsOfServiceUrl: termsOfServiceUrl ?? this.termsOfServiceUrl,
    );
  }

  Map<String, dynamic> toJson() {
    return {
      'privacyTermsUrl': privacyTermsUrl,
      'termsOfServiceUrl': termsOfServiceUrl,
    };
  }

  factory PrivacyTerms.fromJson(Map<String, dynamic> json) {
    return PrivacyTerms(
      privacyTermsUrl: json['privacyTermsUrl'] as String?,
      termsOfServiceUrl: json['termsOfServiceUrl'] as String?,
    );
  }

  @override
  String toString() =>
      "PrivacyTerms(privacyTermsUrl: $privacyTermsUrl,termsOfServiceUrl: $termsOfServiceUrl)";

  @override
  int get hashCode => Object.hash(privacyTermsUrl, termsOfServiceUrl);

  @override
  bool operator ==(Object other) =>
      identical(this, other) ||
      other is PrivacyTerms &&
          runtimeType == other.runtimeType &&
          privacyTermsUrl == other.privacyTermsUrl &&
          termsOfServiceUrl == other.termsOfServiceUrl;
}
